Bug 463764 - Package review: perl-Module-Manifest
Package review: perl-Module-Manifest
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 463763
  Show dependency treegraph
 
Reported: 2008-09-24 12:04 EDT by Marcela Mašláňová
Modified: 2011-08-24 19:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 06:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
patch against the .spec file fixing the issues (362 bytes, patch)
2008-09-24 16:16 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Marcela Mašláňová 2008-09-24 12:04:42 EDT
description
Module::Manifest is a simple utility module created originally for use in
Module::Inspector.

http://mmaslano.fedorapeople.org/perl-Module-Manifest/perl-Module-Manifest.spec
http://mmaslano.fedorapeople.org/perl-Module-Manifest/perl-Module-Manifest-0.03-1.fc9.src.rpm
Comment 1 Matěj Cepl 2008-09-24 16:16:08 EDT
+ GOOD: rpmlint is silent on both source and binary package.
+ GOOD: The package is named according to the Package Naming Guidelines .
+ GOOD: The spec file name matches the base package %{name}, in the format
  %{name}.spec.
- BAD: The package meets the Packaging Guidelines .
* https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
  there is no email address in %changelog -- all required formats of the
  changelog record include email address
+ GOOD: The package is licensed with a Fedora approved license and meet the
Licensing Guidelines .
+ GOOD: The License field in the package spec file matches the actual license.
+ GOOD: LICENSE file is in %doc.
+ GOOD: The spec file is written in American English.
+ GOOD: The spec file for the package is legible.
+ MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL.
  3612558b4f285315d7c36668df96f254  Module-Manifest-0.03.tar.gz
+ MUST: The package successfully compiles and build into binary rpms on at
least one supported architecture.
  Koji scratch build is
  http://koji.fedoraproject.org/koji/taskinfo?taskID=842686
+ MUST: noarch, so it compiles everywhere.
+ MUST: All build dependencies are listed in BuildRequires.
+ MUST: The spec file MUST handle locales properly.
  No locale support.
+ MUST: no libraries
+ MUST: not relocatable
+ MUST: A package owns all directories that it creates.
  Follows perl guidelines.
+ MUST: A package must not contain any duplicate files in the %files listing.
+ MUST: Permissions on files must be set properly.
+ MUST: Each package have a %clean section.
+ MUST: Each package consistently use macros.
+ MUST: The package contains code, or permissable content.
+ MUST: No large documentation files, so no a -doc subpackage.
+ MUST: Files registered in %doc does not affect the runtime of the application.
+ MUST: No header files.
+ MUST: No static libraries.
+ MUST: No pkgconfig(.pc) files.
+ MUST: The package does not contain library files with a suffix.
+ MUST: No devel packages.
+ MUST: No .la libtool archives.
+ MUST: Packages does not contain GUI applications.
+ MUST: Packages does not own files or directories owned by other packages.
+ MUST: Runs rm -rf $RPM_BUILD_ROOT in %install
+ MUST: All filenames in rpm packages are valid UTF-8.
+ SHOULD: Includes license text.

Attaching patch for the SPEC file -- when this is applied, APPROVED.
Comment 2 Matěj Cepl 2008-09-24 16:16:39 EDT
Created attachment 317622 [details]
patch against the .spec file fixing the issues
Comment 3 Marcela Mašláňová 2008-09-25 06:03:22 EDT
New Package CVS Request
=======================
Package Name: perl-Module-Manifest
Short Description: simple utility module for Module::Inspector
Owners: mmaslano@redhat.com
Branches: rawhide
InitialCC: fedora-perl-devel-list@redhat.com
Comment 4 Kevin Fenzi 2008-09-28 15:15:30 EDT
cvs done.
Comment 5 Paul Howarth 2011-08-07 12:55:36 EDT
Could we have branches of this package for all currently-supported EPEL releases
please? This module works perfectly well all the way back to RHEL-3.

I would be happy to maintain the older branches if you're not interested in
them. I ask this so that I don't need to conditionalize inclusion of perl(Test::DistManifest) in my own packages, where I try to remain compatible with older release where possible.
Comment 6 Marcela Mašláňová 2011-08-08 03:54:44 EDT
Package Change Request
======================
Package Name: perl-Module-Manifest
New Branches: el4 el5 el6 
Owners: pghmcfc
InitialCC: perl-sig

[ I hope these are all EPEL branches, which you need. I created this request as reply on previous Paul's comment. ]
Comment 7 Paul Howarth 2011-08-08 04:51:33 EDT
Yes, thanks.
Comment 8 Gwyn Ciesla 2011-08-08 06:04:36 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2011-08-08 09:00:04 EDT
perl-Module-Manifest-1.08-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Module-Manifest-1.08-5.el5
Comment 10 Fedora Update System 2011-08-08 09:00:15 EDT
perl-Module-Manifest-1.08-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Module-Manifest-1.08-5.el6
Comment 11 Fedora Update System 2011-08-08 14:33:21 EDT
perl-Module-Manifest-1.08-5.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Module-Manifest-1.08-5.el4
Comment 12 Paul Howarth 2011-08-10 06:26:27 EDT
Hi Marcela,

the EPEL builds are all done; can you add buildroot overrides for them in bodhi with no expire date please (they should expire automatically when the updates are pushed to stable I believe). I can't do it myself as I don't have commit access to the devel branch.
Comment 13 Marcela Mašláňová 2011-08-10 06:40:59 EDT
Done.
Comment 14 Fedora Update System 2011-08-24 19:51:49 EDT
perl-Module-Manifest-1.08-5.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 15 Fedora Update System 2011-08-24 19:52:55 EDT
perl-Module-Manifest-1.08-5.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Fedora Update System 2011-08-24 19:53:17 EDT
perl-Module-Manifest-1.08-5.el4 has been pushed to the Fedora EPEL 4 stable repository.

Note You need to log in before you can comment on or make changes to this bug.